package com.diaoyun.zion.chinafrica.vo;

import java.util.List;

/**
 * @Auther: wudepeng
 * @Date: 2019/11/23
 * @Description:
 */
public class Products {

    private int id;

    private String title;

    private String body_html;

    private String vendor;

    private String product_type;

    private String created_at;

    private String handle;

    private String updated_at;

    private String published_at;

    private String template_suffix;

    private String tags;

    private String published_scope;

    private String admin_graphql_api_id;

    private List<Variants> variants;

    private List<Options> options;

    private List<Images> images;

    private Image image;

    public void setId(int id){
        this.id = id;
    }
    public int getId(){
        return this.id;
    }
    public void setTitle(String title){
        this.title = title;
    }
    public String getTitle(){
        return this.title;
    }
    public void setBody_html(String body_html){
        this.body_html = body_html;
    }
    public String getBody_html(){
        return this.body_html;
    }
    public void setVendor(String vendor){
        this.vendor = vendor;
    }
    public String getVendor(){
        return this.vendor;
    }
    public void setProduct_type(String product_type){
        this.product_type = product_type;
    }
    public String getProduct_type(){
        return this.product_type;
    }
    public void setCreated_at(String created_at){
        this.created_at = created_at;
    }
    public String getCreated_at(){
        return this.created_at;
    }
    public void setHandle(String handle){
        this.handle = handle;
    }
    public String getHandle(){
        return this.handle;
    }
    public void setUpdated_at(String updated_at){
        this.updated_at = updated_at;
    }
    public String getUpdated_at(){
        return this.updated_at;
    }
    public void setPublished_at(String published_at){
        this.published_at = published_at;
    }
    public String getPublished_at(){
        return this.published_at;
    }
    public void setTemplate_suffix(String template_suffix){
        this.template_suffix = template_suffix;
    }
    public String getTemplate_suffix(){
        return this.template_suffix;
    }
    public void setTags(String tags){
        this.tags = tags;
    }
    public String getTags(){
        return this.tags;
    }
    public void setPublished_scope(String published_scope){
        this.published_scope = published_scope;
    }
    public String getPublished_scope(){
        return this.published_scope;
    }
    public void setAdmin_graphql_api_id(String admin_graphql_api_id){
        this.admin_graphql_api_id = admin_graphql_api_id;
    }
    public String getAdmin_graphql_api_id(){
        return this.admin_graphql_api_id;
    }
    public void setVariants(List<Variants> variants){
        this.variants = variants;
    }
    public List<Variants> getVariants(){
        return this.variants;
    }
    public void setOptions(List<Options> options){
        this.options = options;
    }
    public List<Options> getOptions(){
        return this.options;
    }
    public void setImages(List<Images> images){
        this.images = images;
    }
    public List<Images> getImages(){
        return this.images;
    }
    public void setImage(Image image){
        this.image = image;
    }
    public Image getImage(){
        return this.image;
    }

    @Override
    public String toString() {
        return "Products{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", body_html='" + body_html + '\'' +
                ", vendor='" + vendor + '\'' +
                ", product_type='" + product_type + '\'' +
                ", created_at='" + created_at + '\'' +
                ", handle='" + handle + '\'' +
                ", updated_at='" + updated_at + '\'' +
                ", published_at='" + published_at + '\'' +
                ", template_suffix='" + template_suffix + '\'' +
                ", tags='" + tags + '\'' +
                ", published_scope='" + published_scope + '\'' +
                ", admin_graphql_api_id='" + admin_graphql_api_id + '\'' +
                ", variants=" + variants +
                ", options=" + options +
                ", images=" + images +
                ", image=" + image +
                '}';
    }
}

